Artists
Get All Artists
Browse artists from the artists endpoint.
Endpoint
GET /artists
Endpoint reference: getArtists
Use this form when you want to browse artists instead of looking them up by
ids or omm_ids.
Query Parameters
Scoped parameters like view[...] and limit[...] can shape included relationships.
| Name | Values | Required |
|---|---|---|
lang | locale string like en-US | false |
include | albums, songs | false |
view | minimal | false |
view[artists] | minimal | false |
view[albums] | minimal | false |
view[songs] | minimal | false |
limit | 1-25 | false |
offset | 0+ | false |
sort | name, -name, date_added, -date_added | false |
filter[genres] | comma-separated genres | false |
limit[albums] | 1-25 | false |
limit[songs] | 1-25 | false |
Responses
| Status | Content Type | Response |
|---|---|---|
200 OK | application/json | ArtistListResponse |
400 Bad Request | application/json | ErrorResponse |